#
#       Makefile for clcklib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= clcklib
LIBFSRCS	=
LIBCSRCS	= clckst.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= clckst.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

clckst.o: clckst.c
	$(CC) $(CFLAGS) -DCLK_PER_SEC=$(CLK_PER_SEC) \
	-DCLK_RSL_TCK=$(CLK_RSL_TCK) -c clckst.c

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
